summaryrefslogtreecommitdiffstats
path: root/scripts/apply_patch_series.sh
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2006-02-07 12:13:27 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2006-02-07 12:13:27 +0000
commit64ea63d26063a4ecbed649ca91a819efd795cc6b (patch)
tree8db8eaa0ac84e5a24be9422997393b6cd0f609b4 /scripts/apply_patch_series.sh
parentc51a4bf7016b7029d72d71f473da91dc352cc200 (diff)
downloadptxdist-64ea63d26063a4ecbed649ca91a819efd795cc6b.tar.gz
ptxdist-64ea63d26063a4ecbed649ca91a819efd795cc6b.tar.xz
* rules/host-umkimage.make:
Install u-boot-mkimage to the right location * scripts/apply_patch_series.sh: let apply_patch_series know about compressed patches * rules/Rules.make, config/setup/ptxdistrc.default: It seems that feature_patchin is not used anywhere, remove. git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-0.10-trunk@4502 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'scripts/apply_patch_series.sh')
-rwxr-xr-xscripts/apply_patch_series.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/scripts/apply_patch_series.sh b/scripts/apply_patch_series.sh
index fd83c3efb..cb50027de 100755
--- a/scripts/apply_patch_series.sh
+++ b/scripts/apply_patch_series.sh
@@ -42,8 +42,19 @@ cat "$SERIES" | egrep -v "^[[:space:]]*#" | egrep -v "^[[:space:]]*$" | while re
echo "patch $abspatch does not exist. aborting"
exit 1
fi
+ case `basename $abspatch` in
+ *.gz)
+ CAT=zcat
+ ;;
+ *.bz2)
+ CAT=bzcat
+ ;;
+ *)
+ CAT=cat
+ ;;
+ esac;
echo "applying $abspatch"
- cat "$abspatch" | patch -p1 || exit 1
+ $CAT "$abspatch" | patch -p1 || exit 1
done
if [ "$?" != 0 ]; then